---
title: "Newsletter"
url: "https://developer.migros.ch/apis/newsletter-8/versions/1f672efd-f4cc-4c25-9f59-59ecc180902a"
---

# Newsletter

OpenAPI specification document.

```json
{"components":{"parameters":{"Accept-Language":{"description":"Defines the language (de/fr/it/en) for this request as request header. Either use the query param \"lang\" or header \"Accept-Language\", not both.","in":"header","name":"Accept-Language","schema":{"default":"de","enum":["de","fr","it","en"],"type":"string"}},"lang":{"description":"Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param \"lang\" or header \"Accept-Language\", not both.","in":"query","name":"lang","schema":{"default":"de","enum":["de","fr","it","en"],"type":"string"}}},"responses":{},"schemas":{"AbstractCollection":{"description":"A generic collection of elements."},"NewsletterClientConfiguration":{"description":"A newsletter client configuration.","properties":{"fields":{"description":"Supported fields for the given newsletter client.","items":{"$ref":"#/components/schemas/NewsletterClientConfigurationField"},"type":"array"},"name":{"type":"string"}},"required":["name"],"type":"object"},"NewsletterClientConfigurationCollection":{"allOf":[{"$ref":"#/components/schemas/AbstractCollection"},{"properties":{"clients":{"items":{"$ref":"#/components/schemas/NewsletterClientConfiguration"},"type":"array"}},"type":"object"}],"description":"A collection of NewsletterClientConfiguration instances.","required":["clients"],"type":"object"},"NewsletterClientConfigurationField":{"description":"A newsletter client field.","properties":{"format":{"description":"A regular expression describing the field's value format\nExample for validating a date: /^(19[0-9]{2}|2[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$/","nullable":true,"type":"string"},"multi_value":{"description":"Whether field supports multiple values or not.","type":"boolean"},"name":{"description":"Name of the field.","type":"string"},"required":{"description":"Whether field is required or not.","type":"boolean"}},"required":["name"],"type":"object"},"NewsletterProfile":{"description":"Xcampaign newsletter profile.","properties":{"email":{"type":"string"},"fields":{"additionalProperties":true,"description":"Profile fields (such as email address, first name, last name, etc).","type":"object"},"id":{"type":"integer"},"status":{"type":"string"}},"required":["id","status","email"],"type":"object"}},"securitySchemes":{"Kong-Api-Key":{"description":"Kong key-auth authentication","in":"header","name":"X-Api-Key","type":"apiKey"},"basicAuth":{"scheme":"basic","type":"http"}}},"info":{"contact":{"email":"arg_mgb-udp-products-services@mgb.ch","name":"MGB-UDP-Products-Services"},"description":"Deprecated\n\nAs of 31.09.2026 this will be removed.\n\nManage newsletter subscriptions. <a href=\"https://wiki.migros.net/display/MAPI/Newsletter\">See Wiki</a>\n","title":"Newsletter","version":"8"},"openapi":"3.0.0","paths":{"/migros/customers/subscriptions/v8/newsletter/clients":{"get":{"deprecated":true,"description":"Returns a list of supported newsletter clients and its configuration.","operationId":"get-news-letter-clients","parameters":[{"$ref":"#/components/parameters/lang"},{"$ref":"#/components/parameters/Accept-Language"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsletterClientConfigurationCollection"}}},"description":"Returned when successful"}},"summary":"Returns a list of supported newsletter clients and its configuration.","tags":["Newsletter"]}},"/migros/customers/subscriptions/v8/newsletter/clients/{client}":{"get":{"deprecated":true,"description":"Returns the configuration for the given newsletter client.","operationId":"get-newsletter-client","parameters":[{"description":"Name of the client.","in":"path","name":"client","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/lang"},{"$ref":"#/components/parameters/Accept-Language"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsletterClientConfiguration"}}},"description":"Returned when successful"}},"summary":"Returns the configuration for the given newsletter client.","tags":["Newsletter"]}},"/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile":{"get":{"deprecated":true,"description":"Returns the newsletter profile for the given email address.","operationId":"get-newsletter-profile","parameters":[{"description":"Name of the client. One of 'migros_ch', 'migipedia'.","in":"path","name":"client","required":true,"schema":{"type":"string"}},{"description":"The email address to search for.","in":"query","name":"email","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/lang"},{"$ref":"#/components/parameters/Accept-Language"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsletterProfile"}}},"description":"Returned when successful"}},"summary":"Returns the newsletter profile for the given email address.","tags":["Newsletter"]}},"/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile/subscription":{"delete":{"deprecated":true,"description":"Unsubscribes an email address from a newsletter.","operationId":"delete-newsletter-subscription","parameters":[{"description":"Name of the client. One of 'migros_ch', 'migipedia'.","in":"path","name":"client","required":true,"schema":{"type":"string"}},{"description":"The email address to unsubscribe.","in":"query","name":"email","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returned when successful"}},"summary":"Unsubscribes an email address from a newsletter.","tags":["Newsletter"]}},"/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles":{"post":{"deprecated":true,"description":"To get a full list of supported fields for a given client you can call /newsletter/clients/{clientName}.{_format}.","operationId":"update-newsletter-profile","parameters":[{"description":"Name of the client. One of 'migros_ch', 'migipedia'.","in":"path","name":"client","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"encoding":{"interests[]":{"explode":true,"style":"form"}},"schema":{"properties":{"city":{"type":"string"},"email":{"description":"Email address of the profile to update.","type":"string"},"first_name":{"type":"string"},"gender":{"type":"string"},"interests[]":{"description":"Health interests","items":{"type":"string"},"type":"array"},"language":{"description":"Language the newsletter should be subscribed in.","type":"string"},"last_name":{"type":"string"},"migros_newsletter_id":{"description":"Internal newsletter used by Migros","type":"integer"},"salutation":{"type":"string"},"username":{"type":"string"},"zip":{"type":"integer"}},"required":["email"],"type":"object"}}},"required":true},"responses":{"200":{"description":"Returned when successful"}},"summary":"Updates an existing newsletter profile.","tags":["Newsletter"]}},"/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles/subscriptions":{"post":{"deprecated":true,"description":"To get a full list of supported fields for a given client you can call /newsletter/clients/{clientName}.{_format}.","operationId":"subscribe-to-newsletter","parameters":[{"description":"Name of the client. One of 'migros_ch', 'migipedia'.","in":"path","name":"client","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"encoding":{"interests[]":{"explode":true,"style":"form"}},"schema":{"properties":{"city":{"type":"string"},"email":{"description":"The email address to subscribe.","type":"string"},"first_name":{"type":"string"},"gender":{"type":"string"},"interests[]":{"description":"Health interests","items":{"type":"string"},"type":"array"},"language":{"description":"Language the newsletter should be subscribed in.","type":"string"},"last_name":{"type":"string"},"migros_newsletter_id":{"description":"Internal newsletter used by Migros","type":"integer"},"salutation":{"type":"string"},"username":{"type":"string"},"zip":{"type":"integer"}},"required":["email"],"type":"object"}}},"required":true},"responses":{"200":{"description":"Returned when successful"}},"summary":"Adds and subscribes a new profile by email address to a newsletter.","tags":["Newsletter"]}}},"security":[{"Kong-Api-Key":[],"basicAuth":[]}],"servers":[{"description":"Public Kong Gateway URL","url":"https://api.migros.ch"}],"tags":[{"name":"Newsletter"},{"name":"mapi"}],"x-active-from":"01-01-2024","x-company":"migros","x-edm-domain":"customers","x-eol":"31-09-2026","x-headmatter":{"readable_by":"*"},"x-kong-route-defaults":{"protocols":["https"],"strip_path":false},"x-kong-service-defaults":{"connect_timeout":5000,"read_timeout":15000,"retries":1,"write_timeout":5000},"x-leanix-id":"350641a5-55a2-4641-8332-76d32846eb56","x-link-get-access":"https://forms.office.com/e/zhzbEqAQ26","x-link-get-support":"https://teams.microsoft.com/l/channel/19%3Aa7851e50d0194268ba0c7a0d7a63403b%40thread.tacv2/2.%20Support%20%F0%9F%92%A1?groupId=58b919a5-7d36-47f3-a77a-03cfd051098a&tenantId=35aa8c5b-ac0a-4b15-9788-ff6dfa22901f"}
```
